cURL
curl --request POST \ --url https://api.callhq.ai/api/files \ --header 'Content-Type: multipart/form-data' \ --header 'x-api-key: <api-key>' \ --form file='@example-file'
{ "message": "File uploaded successfully", "file": { "id": "<string>", "externalId": "<string>", "name": "<string>", "integrationId": "<string>", "url": "<string>", "bytes": 123, "object": "<string>", "purpose": "<string>", "mimetype": "<string>", "bucket": "<string>", "path": "<string>", "status": "<string>", "parsedTextUrl": "<string>", "parsedTextBytes": "<string>", "organizationId": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "organization": { "id": "<string>", "name": "<string>" }, "integration": {} } }
Documentation IndexFetch the complete documentation index at: https://docs.callhq.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.callhq.ai/llms.txt
Use this file to discover all available pages before exploring further.
File to upload
File uploaded successfully.
"File uploaded successfully"
Show child attributes